package com.sinosig.util.domain;

import java.io.Serializable;
import org.springframework.util.DigestUtils;

public class PSDEWFDTO implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
	 * 业务实体工作流标识
	 */
	String psdewfid;

	/**
	 * 业务实体工作流名称
	 */
	String psdewfname;

	/**
	 * 业务实体标识
	 */
	String psdataentityid;

    /**
	 * 工作流代理模式
	 */
	Integer wfproxymode;

	/*
	 * 逻辑名
	 */
	String logicname;

	/**
     * 部署系统标识
     */
    String pssystemid;

    /**
     * 部署域标识
     */
    String workflowid;

	public String getPsdewfid() {
        return this.psdewfid;
	}

	public void setPsdewfid(String psdewfid) {
		this.psdewfid = psdewfid;
	}

	public String getPsdewfname() {
		return this.psdewfname;
	}
	public void setPsdewfname(String psdewfname) {
		this.psdewfname = psdewfname;
	}

    public String getPssystemid() {
        return this.pssystemid;
    }

    public void setPssystemid(String pssystemid) {
        this.pssystemid = pssystemid;
    }

    public String getWorkflowid() {
        return this.workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }

    public Integer getWfproxymode() {
        return this.wfproxymode;
    }

    public void setWfproxymode(Integer wfproxymode) {
        this.wfproxymode = wfproxymode;
    }

    public String getLogicname() {
		return logicname;
	}

	public void setLogicname(String logicname) {
		this.logicname = logicname;
	}

	public String getPsdataentityid() {
        return this.psdataentityid;
	}

	public void setPsdataentityid(String psdataentityid) {
	    this.psdataentityid = psdataentityid;
	}
}
